Add an item to a checklist Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "PlannrCRM MCP server": {
    "url": "https://apidocs.plannrcrm.com/mcp"
  }
}

Close
POST /api/v1/checklist/{checklist_uuid}/items

Path parameters

  • checklist_uuid string Required
  • checklist string Required

    The UUID of the checklist.

application/json

Body

  • name string Required

    The label for the checklist item.

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • uuid string

      The UUID of the resource.

    • created_at string

      The timestamp of when the resource was created.

    • updated_at string

      The timestamp of when the resource was updated.

    • name string

      The label of the checklist item.

    • is_checked boolean

      Whether the item has been checked off.

    • checked_at string

      The date and time the item was checked off.

    • checked_by object

      The account that checked off the item.

      Hide checked_by attributes Show checked_by attributes object
      • uuid string
      • created_at string
      • updated_at string
      • type string
      • role string
      • first_name string
      • last_name string
      • name string
      • email string
      • photo_url string
      • firm object
        Hide firm attributes Show firm attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • name

          Name of the firm

        • slug

          Slug of the firm

        • address_1

          First line of the address

        • address_2

          Second line of the address

        • town_city

          Town/City

        • county

          County

        • postcode

          Postcode

        • country

          Country

        • regulatory_text

          Regulatory text of the firm.

        • logo_icon

          URL of your firm logo icon.

        • brand_colours

          Firm branding colours.

        • is_subscribed

          Subscription status.

        • keep_deleted_files_for

          Number of days to keep deleted files for

        • tax

          Tax percent

        • month_end

          Date of the month for the monthly income reconciliation statements to end

        • statement_frequency

          The frequency of the income reconciliation statements

        • billing

          Firm invoice details for billing

        • ip_whitelist

          A list of IP Addresses a firm is allowed to log in from.

        • welcome_paragraph_html

          Custom welcome paragraph html for the branded auth welcome page

        • email_welcome_paragraph_html

          Custom welcome paragraph for the welcome/new user email

        • show_fact_find_illustrations

          Determines if the illustrations/graphics are displayed on the fact find.

        • cc_email_addresses

          Array of email cc addresses.

        • bcc_email_addresses

          Array of email bcc addresses.

        • reply_to_email_address

          Firm reply to email address.

        • mobile_app_support_number

          Firm mobile app support number.

        • mobile_app_support_email

          Firm mobile app support email address.

      • primary_phone_number object
        Hide primary_phone_number attributes Show primary_phone_number attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • type

          Contact detail type

        • name

          Contact detail description

        • value

          Contact detail value

        • phone_number_meta

          If the type is a phone number, this additional field will be displayed giving you information about the phone number.

      • primary_email object
        Hide primary_email attributes Show primary_email attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • type

          Contact detail type

        • name

          Contact detail description

        • value

          Contact detail value

        • phone_number_meta

          If the type is a phone number, this additional field will be displayed giving you information about the phone number.

      • current_time_entry object
        Hide current_time_entry attributes Show current_time_entry attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • name

          The name of the time entry.

        • description

          The description of the time entry.

        • trackable_type

          The model type that is being tracked. The example given is a client, but it can be a case, firm, circle or task.

        • start_date

          The start time of the time entry.

        • end_date

          The end time of the time entry.

        • is_active

          Determines if the time entry is currently ongoing.

        • total_time_in_minutes

          Total time in minutes.

        • computed_time_elapsed_in_seconds

          Computed time elapsed in seconds.

      • assigned_adviser object
        Hide assigned_adviser attributes Show assigned_adviser attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • type

          Account type

        • role

          Account role

        • first_name

          First name

        • last_name

          Last name

        • name

          Name

        • email

          (Deprecated - Please use primary_email instead). The email of the account.

        • photo_url

          URL for initial avatar image

        • first_contact_date

          First contact date

        • next_review_date

          Next review date

        • previous_review_date

          Previous review date

        • anniversary_review_date

          Anniversary review date

        • terms_of_business_at

          Date the Terms of Business were agreed and signed

        • client_agreement_at

          Date the client agreement was agreed and signed

        • with_login

          Denotes whether the account has a login to Plannr

        • has_joint_account

          Denotes whether this account belongs to a joint account too

        • can_be_deleted

          Denotes if the account can be deleted

        • ownership_percentage

          Percentage ownership of the plan (This field is only present if viewing the account record via a plans relationship eg Plan -> Accounts)

        • inactive_at

          Inactive from date

        • last_interaction_at

          Last interaction date

        • referral_code

          Unique referral code for the employee account (employees only)

        • is_out_of_office

          Denotes whether the account is currently within an active Out of Office window (employees only)

        • out_of_office_from

          Start of the Out of Office period (employees only). Null when not out of office

        • out_of_office_until

          End of the Out of Office period (employees only). Null when not out of office

        • out_of_office_message

          Message shown to portal users while the account is Out of Office (employees only). Null when not out of office

        • permissions

          Permission map where keys are permission names and values are target arrays

      • assigned_administrator object
        Hide assigned_administrator attributes Show assigned_administrator attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • type

          Account type

        • role

          Account role

        • first_name

          First name

        • last_name

          Last name

        • name

          Name

        • email

          (Deprecated - Please use primary_email instead). The email of the account.

        • photo_url

          URL for initial avatar image

        • first_contact_date

          First contact date

        • next_review_date

          Next review date

        • previous_review_date

          Previous review date

        • anniversary_review_date

          Anniversary review date

        • terms_of_business_at

          Date the Terms of Business were agreed and signed

        • client_agreement_at

          Date the client agreement was agreed and signed

        • with_login

          Denotes whether the account has a login to Plannr

        • has_joint_account

          Denotes whether this account belongs to a joint account too

        • can_be_deleted

          Denotes if the account can be deleted

        • ownership_percentage

          Percentage ownership of the plan (This field is only present if viewing the account record via a plans relationship eg Plan -> Accounts)

        • inactive_at

          Inactive from date

        • last_interaction_at

          Last interaction date

        • referral_code

          Unique referral code for the employee account (employees only)

        • is_out_of_office

          Denotes whether the account is currently within an active Out of Office window (employees only)

        • out_of_office_from

          Start of the Out of Office period (employees only). Null when not out of office

        • out_of_office_until

          End of the Out of Office period (employees only). Null when not out of office

        • out_of_office_message

          Message shown to portal users while the account is Out of Office (employees only). Null when not out of office

        • permissions

          Permission map where keys are permission names and values are target arrays

      • assigned_paraplanner object
        Hide assigned_paraplanner attributes Show assigned_paraplanner attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • type

          Account type

        • role

          Account role

        • first_name

          First name

        • last_name

          Last name

        • name

          Name

        • email

          (Deprecated - Please use primary_email instead). The email of the account.

        • photo_url

          URL for initial avatar image

        • first_contact_date

          First contact date

        • next_review_date

          Next review date

        • previous_review_date

          Previous review date

        • anniversary_review_date

          Anniversary review date

        • terms_of_business_at

          Date the Terms of Business were agreed and signed

        • client_agreement_at

          Date the client agreement was agreed and signed

        • with_login

          Denotes whether the account has a login to Plannr

        • has_joint_account

          Denotes whether this account belongs to a joint account too

        • can_be_deleted

          Denotes if the account can be deleted

        • ownership_percentage

          Percentage ownership of the plan (This field is only present if viewing the account record via a plans relationship eg Plan -> Accounts)

        • inactive_at

          Inactive from date

        • last_interaction_at

          Last interaction date

        • referral_code

          Unique referral code for the employee account (employees only)

        • is_out_of_office

          Denotes whether the account is currently within an active Out of Office window (employees only)

        • out_of_office_from

          Start of the Out of Office period (employees only). Null when not out of office

        • out_of_office_until

          End of the Out of Office period (employees only). Null when not out of office

        • out_of_office_message

          Message shown to portal users while the account is Out of Office (employees only). Null when not out of office

        • permissions

          Permission map where keys are permission names and values are target arrays

      • introduced_by object
        Hide introduced_by attributes Show introduced_by attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • type

          Account type

        • role

          Account role

        • first_name

          First name

        • last_name

          Last name

        • name

          Name

        • email

          (Deprecated - Please use primary_email instead). The email of the account.

        • photo_url

          URL for initial avatar image

        • first_contact_date

          First contact date

        • next_review_date

          Next review date

        • previous_review_date

          Previous review date

        • anniversary_review_date

          Anniversary review date

        • terms_of_business_at

          Date the Terms of Business were agreed and signed

        • client_agreement_at

          Date the client agreement was agreed and signed

        • with_login

          Denotes whether the account has a login to Plannr

        • has_joint_account

          Denotes whether this account belongs to a joint account too

        • can_be_deleted

          Denotes if the account can be deleted

        • ownership_percentage

          Percentage ownership of the plan (This field is only present if viewing the account record via a plans relationship eg Plan -> Accounts)

        • inactive_at

          Inactive from date

        • last_interaction_at

          Last interaction date

        • referral_code

          Unique referral code for the employee account (employees only)

        • is_out_of_office

          Denotes whether the account is currently within an active Out of Office window (employees only)

        • out_of_office_from

          Start of the Out of Office period (employees only). Null when not out of office

        • out_of_office_until

          End of the Out of Office period (employees only). Null when not out of office

        • out_of_office_message

          Message shown to portal users while the account is Out of Office (employees only). Null when not out of office

        • permissions

          Permission map where keys are permission names and values are target arrays

      • business_unit object
        Hide business_unit attributes Show business_unit attributes object
        • uuid

          The UUID of the resource.

        • name

          Name of the business unit.

        • has_alternative_branding

          Whether alternative branding is enabled for this business unit.

        • brand_colours

          Brand colours for this business unit, merged with firm defaults.

        • members_count

          Number of accounts assigned to this business unit

        • groups_count

          Number of groups assigned to this business unit

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

      • groups object
        Hide groups attributes Show groups attributes object
        • uuid

          UUID of the group

        • name

          Name of the group

        • slug

          Slug of the group

        • participants_count

          Number of participants in the group

        • participants

          Participants in this group

        • created_at

          Timestamp of when the group was created

        • updated_at

          Timestamp of when the group was updated

      • tags object
        Hide tags attributes Show tags attributes object
        • uuid

          UUID of the tag

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • name

          The name of the tag

        • slug

          The slug of the tag

        • colour

          The colour of the tag

      • owners object
        Hide owners attributes Show owners attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • type

          Account type

        • role

          Account role

        • first_name

          First name

        • last_name

          Last name

        • name

          Name

        • email

          (Deprecated - Please use primary_email instead). The email of the account.

        • photo_url

          URL for initial avatar image

        • first_contact_date

          First contact date

        • next_review_date

          Next review date

        • previous_review_date

          Previous review date

        • anniversary_review_date

          Anniversary review date

        • terms_of_business_at

          Date the Terms of Business were agreed and signed

        • client_agreement_at

          Date the client agreement was agreed and signed

        • with_login

          Denotes whether the account has a login to Plannr

        • has_joint_account

          Denotes whether this account belongs to a joint account too

        • can_be_deleted

          Denotes if the account can be deleted

        • ownership_percentage

          Percentage ownership of the plan (This field is only present if viewing the account record via a plans relationship eg Plan -> Accounts)

        • inactive_at

          Inactive from date

        • last_interaction_at

          Last interaction date

        • referral_code

          Unique referral code for the employee account (employees only)

        • is_out_of_office

          Denotes whether the account is currently within an active Out of Office window (employees only)

        • out_of_office_from

          Start of the Out of Office period (employees only). Null when not out of office

        • out_of_office_until

          End of the Out of Office period (employees only). Null when not out of office

        • out_of_office_message

          Message shown to portal users while the account is Out of Office (employees only). Null when not out of office

        • permissions

          Permission map where keys are permission names and values are target arrays

      • first_contact_date string
      • next_review_date string
      • previous_review_date string
      • anniversary_review_date string
      • terms_of_business_at string
      • client_agreement_at string
      • with_login boolean
      • has_joint_account boolean
      • can_be_deleted string
      • joint_account_circle object
        Hide joint_account_circle attributes Show joint_account_circle attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • name

          The Circle name

        • photo_url

          URL for initial avatar image

        • bg_colour

          Hex colour background for avatar

        • has_portal_access

          Whether any member of the circle has portal access

        • portal_access_status

          Aggregated portal access status: active, never_logged_in, or no_portal_access

        • engagement_rating

          Aggregated engagement rating: green, amber, red, or none

        • last_login

          Most recent portal login across all circle members, including who logged in

        • portal_login_count_30d

          Total portal login count across all members in last 30 days

        • portal_login_count_90d

          Total portal login count across all members in last 90 days

        • portal_login_count_365d

          Total portal login count across all members in last 365 days

        • joint_account_uuid

          uuid of joint account where circle created from joint account

        • login_access_level

          The access level in context of an account. Note this field is only returned when using the accounts API. Available values: read and write

        • current_life_stage_uuid

          UUID of the circle's current life stage for expenditure

      • circles object
        Hide circles attributes Show circles attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • name

          The Circle name

        • photo_url

          URL for initial avatar image

        • bg_colour

          Hex colour background for avatar

        • has_portal_access

          Whether any member of the circle has portal access

        • portal_access_status

          Aggregated portal access status: active, never_logged_in, or no_portal_access

        • engagement_rating

          Aggregated engagement rating: green, amber, red, or none

        • last_login

          Most recent portal login across all circle members, including who logged in

        • portal_login_count_30d

          Total portal login count across all members in last 30 days

        • portal_login_count_90d

          Total portal login count across all members in last 90 days

        • portal_login_count_365d

          Total portal login count across all members in last 365 days

        • joint_account_uuid

          uuid of joint account where circle created from joint account

        • login_access_level

          The access level in context of an account. Note this field is only returned when using the accounts API. Available values: read and write

        • current_life_stage_uuid

          UUID of the circle's current life stage for expenditure

      • ownership_percentage integer
      • inactive_at string
      • last_interaction_at string
      • referral_code string
      • is_out_of_office boolean
      • out_of_office_from string
      • out_of_office_until string
      • out_of_office_message string
      • permissions object
        Hide permissions attributes Show permissions attributes object
        • firm:read array[string]
        • network:read array[string]
      • custom_fields object
        Hide custom_fields attributes Show custom_fields attributes object
        • uuid

          The UUID of the custom field

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • type

          The type of custom field

        • name

          The name of the custom field

        • reference

          The reference of the custom field, used when updating the custom field on the model.

        • is_required

          Denotes if the custom field is required

        • value

          The value of the custom field

        • selection_options

          This is the array of available options for the selection box. If the type is "selection" this array will be provided.

        • help_text

          Optional help text to aide the custom field. Will be displayed on Plannr.

      • external_references object
        Hide external_references attributes Show external_references attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • third_party

          The third party provider with the reference.

        • reference

          The third party reference.

    • order integer

      The display order of the item within its checklist.

  • 422 application/json

    Validation error

    Hide response attributes Show response attributes object
    • message string Required

      A human-readable description of the error.

    • errors object

      Validation messages keyed by the field that failed.

      Hide errors attribute Show errors attribute object
      • * array[string] Additional properties
POST /api/v1/checklist/{checklist_uuid}/items
curl \
 --request POST 'https://api.plannrcrm.com/api/v1/checklist/6ff8f7f6-1eb3-3525-be4a-3932c805afed/items' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"name":"Send calendar invite"}'
Request examples
{
  "name": "Send calendar invite"
}
Response examples (200)
{
  "uuid": "53f93c00-e7ca-4528-a874-0fa2be750b9b",
  "created_at": "2026-08-03T11:21:29+01:00",
  "updated_at": "2026-08-03T11:21:29+01:00",
  "name": "Send calendar invite",
  "is_checked": false,
  "checked_at": "2021-01-01 00:00:00",
  "checked_by": {
    "uuid": "c6622c4b-55e5-4420-bf62-4aa768ead5ca",
    "created_at": "2026-08-03T11:21:29+01:00",
    "updated_at": "2026-08-03T11:21:29+01:00",
    "type": "client",
    "role": "client",
    "first_name": "Gareth",
    "last_name": "Thompson",
    "name": "Gareth Thompson",
    "email": "gareth@codepotato.co.uk",
    "photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
    "firm": {
      "uuid": "ef03bee8-c4f2-4f57-b4e8-b3f346537905",
      "created_at": "2026-08-03T11:21:35+01:00",
      "updated_at": "2026-08-03T11:21:35+01:00",
      "name": "Codepotato",
      "slug": "codepotato",
      "address_1": "Suite E, 5 The Briars",
      "address_2": "Waterberry Drive",
      "town_city": "Waterlooville",
      "county": "Hampshire",
      "postcode": "PO7 7YH",
      "country": "United Kingdom",
      "regulatory_text": "Regulatory text",
      "logo": "https://api.plannrcrm.com/images/plannr.jpg",
      "logo_icon": "https://api.plannrcrm.com/images/plannr-icon.jpg",
      "brand_colours": {
        "sidebar_background": "#0E0E56",
        "sidebar_accent": "#36367E",
        "sidebar_text": "#FFFFFF",
        "sidebar_hover": "#0A0A42",
        "sidebar_active": "#53DBB8",
        "sidebar_title_background": "#36367E",
        "sidebar_title_primary": "#FFC634",
        "sidebar_title_secondary": "#FFFFFF",
        "sidebar_title_secondary_hover": "#FFFFFF",
        "email_background": "#0E0E56",
        "email_logo_background_panel": "#36367E",
        "email_sub_text": "#FFFFFF",
        "email_button_background": "#36367E",
        "email_button_text": "#FFFFFF",
        "portal_sidebar_button_background": "#F6F6F6",
        "portal_sidebar_button_hover": "#FFFFFF",
        "portal_sidebar_button_active": "#FFFFFF",
        "portal_brand_title": "#323B4B",
        "portal_brand_sub_title": "#828994",
        "portal_sidebar_title": "#11151D",
        "portal_sidebar_text": "#323B4B",
        "portal_sidebar_text_hover": "#323B4B",
        "portal_sidebar_text_active": "#323B4B",
        "portal_sidebar_icon": "#828994",
        "portal_sidebar_icon_hover": "#828994",
        "portal_sidebar_icon_active": "#828994",
        "portal_background": "#F6F6F6",
        "portal_sidebar_account_title": "#11151D",
        "portal_sidebar_account_email": "#828994",
        "portal_sidebar_divider": "#E3E5E9",
        "portal_dashboard_bg_one": "#EF4583",
        "portal_dashboard_bg_two": "#FFC634",
        "portal_sidebar_collapse_button": "#828994",
        "portal_sidebar_collapse_button_hover": "#B3B9C4",
        "portal_sidebar_user_select_background": "#F6F6F6",
        "portal_sidebar_user_select_hover": "#F6F6F6",
        "portal_sidebar_user_select_text": "#323B4B",
        "portal_sidebar_user_select_text_hover": "#323B4B",
        "portal_sidebar_user_select_border": "#EEEEEE",
        "portal_sidebar_user_select_border_hover": "#828994"
      },
      "is_subscribed": true,
      "keep_deleted_files_for": 30,
      "tax": 17.5,
      "month_end": 25,
      "statement_frequency": "monthly",
      "billing": {
        "invoice_address_1": "Suite E, 5 The Briars",
        "invoice_address_2": "Waterberry Drive",
        "invoice_town_city": "Waterlooville",
        "invoice_county": "Hampshire",
        "invoice_postcode": "PO7 7YH",
        "invoice_country": "United Kingdom",
        "invoice_email": "gareth@codepotato.co.uk"
      },
      "ip_whitelist": [
        "192.168.0.1",
        "127.0.0.1"
      ],
      "welcome_paragraph_html": "<h1>Welcome.</h1>",
      "email_welcome_paragraph_html": "Welcome to Plannr!",
      "show_fact_find_illustrations": true,
      "cc_email_addresses": [
        "jack@example.com",
        "jill@example.com"
      ],
      "bcc_email_addresses": [
        "jack@example.com",
        "jill@example.com"
      ],
      "reply_to_email_address": "jack@example.com",
      "mobile_app_support_number": "01234 567890",
      "mobile_app_support_email": "support@example.com"
    },
    "primary_phone_number": {
      "uuid": "88ef0d66-ec8d-4787-92bf-e562ab13289d",
      "created_at": "2026-08-03T11:21:35+01:00",
      "updated_at": "2026-08-03T11:21:35+01:00",
      "type": "phone_number",
      "name": "Work number",
      "value": "+443330903630",
      "phone_number_meta": {
        "country": "GB",
        "formatted": "0333 090 3630"
      }
    },
    "primary_email": {
      "uuid": "88ef0d66-ec8d-4787-92bf-e562ab13289d",
      "created_at": "2026-08-03T11:21:35+01:00",
      "updated_at": "2026-08-03T11:21:35+01:00",
      "type": "phone_number",
      "name": "Work number",
      "value": "+443330903630",
      "phone_number_meta": {
        "country": "GB",
        "formatted": "0333 090 3630"
      }
    },
    "current_time_entry": {
      "uuid": "eb288b2f-3600-4d52-891d-8a85807460cd",
      "created_at": "2026-08-03T11:21:35+01:00",
      "updated_at": "2026-08-03T11:21:35+01:00",
      "name": "Research",
      "description": "This is a description.",
      "trackable_type": "Client",
      "start_date": "2026-08-03T10:31:35+01:00",
      "end_date": "2026-08-03T10:59:35+01:00",
      "is_active": true,
      "total_time_in_minutes": 28,
      "computed_time_elapsed_in_seconds": 1680
    },
    "assigned_adviser": {
      "uuid": "b6d5bd82-90b9-4a6b-8758-4f2cfdd2757e",
      "created_at": "2026-08-03T11:21:35+01:00",
      "updated_at": "2026-08-03T11:21:35+01:00",
      "type": "client",
      "role": "client",
      "first_name": "Gareth",
      "last_name": "Thompson",
      "name": "Gareth Thompson",
      "email": "gareth@codepotato.co.uk",
      "photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
      "first_contact_date": "2026-08-03T11:21:35+01:00",
      "next_review_date": "2026-08-03T11:21:35+01:00",
      "previous_review_date": "2026-08-03T11:21:35+01:00",
      "anniversary_review_date": "2026-08-03T11:21:35+01:00",
      "terms_of_business_at": "2026-08-03T11:21:35+01:00",
      "client_agreement_at": "2026-08-03T11:21:35+01:00",
      "with_login": true,
      "has_joint_account": true,
      "can_be_deleted": "false",
      "ownership_percentage": 100.0,
      "inactive_at": "2026-08-03",
      "last_interaction_at": "2026-08-03 11:21:35",
      "referral_code": "ABC12345",
      "is_out_of_office": true,
      "out_of_office_from": "2026-08-03T11:21:35+01:00",
      "out_of_office_until": "2026-08-03T11:21:35+01:00",
      "out_of_office_message": "I am away this week. For urgent matters please contact the office.",
      "permissions": {
        "firm:read": [
          "firm"
        ],
        "network:read": [
          "network:uuid"
        ]
      }
    },
    "assigned_administrator": {
      "uuid": "b6d5bd82-90b9-4a6b-8758-4f2cfdd2757e",
      "created_at": "2026-08-03T11:21:35+01:00",
      "updated_at": "2026-08-03T11:21:35+01:00",
      "type": "client",
      "role": "client",
      "first_name": "Gareth",
      "last_name": "Thompson",
      "name": "Gareth Thompson",
      "email": "gareth@codepotato.co.uk",
      "photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
      "first_contact_date": "2026-08-03T11:21:35+01:00",
      "next_review_date": "2026-08-03T11:21:35+01:00",
      "previous_review_date": "2026-08-03T11:21:35+01:00",
      "anniversary_review_date": "2026-08-03T11:21:35+01:00",
      "terms_of_business_at": "2026-08-03T11:21:35+01:00",
      "client_agreement_at": "2026-08-03T11:21:35+01:00",
      "with_login": true,
      "has_joint_account": true,
      "can_be_deleted": "false",
      "ownership_percentage": 100.0,
      "inactive_at": "2026-08-03",
      "last_interaction_at": "2026-08-03 11:21:35",
      "referral_code": "ABC12345",
      "is_out_of_office": true,
      "out_of_office_from": "2026-08-03T11:21:35+01:00",
      "out_of_office_until": "2026-08-03T11:21:35+01:00",
      "out_of_office_message": "I am away this week. For urgent matters please contact the office.",
      "permissions": {
        "firm:read": [
          "firm"
        ],
        "network:read": [
          "network:uuid"
        ]
      }
    },
    "assigned_paraplanner": {
      "uuid": "b6d5bd82-90b9-4a6b-8758-4f2cfdd2757e",
      "created_at": "2026-08-03T11:21:35+01:00",
      "updated_at": "2026-08-03T11:21:35+01:00",
      "type": "client",
      "role": "client",
      "first_name": "Gareth",
      "last_name": "Thompson",
      "name": "Gareth Thompson",
      "email": "gareth@codepotato.co.uk",
      "photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
      "first_contact_date": "2026-08-03T11:21:35+01:00",
      "next_review_date": "2026-08-03T11:21:35+01:00",
      "previous_review_date": "2026-08-03T11:21:35+01:00",
      "anniversary_review_date": "2026-08-03T11:21:35+01:00",
      "terms_of_business_at": "2026-08-03T11:21:35+01:00",
      "client_agreement_at": "2026-08-03T11:21:35+01:00",
      "with_login": true,
      "has_joint_account": true,
      "can_be_deleted": "false",
      "ownership_percentage": 100.0,
      "inactive_at": "2026-08-03",
      "last_interaction_at": "2026-08-03 11:21:35",
      "referral_code": "ABC12345",
      "is_out_of_office": true,
      "out_of_office_from": "2026-08-03T11:21:35+01:00",
      "out_of_office_until": "2026-08-03T11:21:35+01:00",
      "out_of_office_message": "I am away this week. For urgent matters please contact the office.",
      "permissions": {
        "firm:read": [
          "firm"
        ],
        "network:read": [
          "network:uuid"
        ]
      }
    },
    "introduced_by": {
      "uuid": "b6d5bd82-90b9-4a6b-8758-4f2cfdd2757e",
      "created_at": "2026-08-03T11:21:35+01:00",
      "updated_at": "2026-08-03T11:21:35+01:00",
      "type": "client",
      "role": "client",
      "first_name": "Gareth",
      "last_name": "Thompson",
      "name": "Gareth Thompson",
      "email": "gareth@codepotato.co.uk",
      "photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
      "first_contact_date": "2026-08-03T11:21:35+01:00",
      "next_review_date": "2026-08-03T11:21:35+01:00",
      "previous_review_date": "2026-08-03T11:21:35+01:00",
      "anniversary_review_date": "2026-08-03T11:21:35+01:00",
      "terms_of_business_at": "2026-08-03T11:21:35+01:00",
      "client_agreement_at": "2026-08-03T11:21:35+01:00",
      "with_login": true,
      "has_joint_account": true,
      "can_be_deleted": "false",
      "ownership_percentage": 100.0,
      "inactive_at": "2026-08-03",
      "last_interaction_at": "2026-08-03 11:21:35",
      "referral_code": "ABC12345",
      "is_out_of_office": true,
      "out_of_office_from": "2026-08-03T11:21:35+01:00",
      "out_of_office_until": "2026-08-03T11:21:35+01:00",
      "out_of_office_message": "I am away this week. For urgent matters please contact the office.",
      "permissions": {
        "firm:read": [
          "firm"
        ],
        "network:read": [
          "network:uuid"
        ]
      }
    },
    "business_unit": {
      "uuid": "ab9e69ec-eac1-46b2-9eb3-92c2b0440ac9",
      "name": "Wealth Management",
      "has_alternative_branding": false,
      "brand_colours": [],
      "members_count": 3,
      "groups_count": 2,
      "created_at": "2026-08-03T11:21:35+01:00",
      "updated_at": "2026-08-03T11:21:35+01:00"
    },
    "groups": {
      "uuid": null,
      "name": "finance",
      "slug": "finance",
      "participants_count": "3",
      "participants": {
        "uuid": {
          "example": null,
          "description": "UUID of the account"
        },
        "role": {
          "example": "client",
          "description": "Role of the account"
        },
        "first_name": {
          "example": "Gareth",
          "description": "First name of the account"
        },
        "last_name": {
          "example": "Thompson",
          "description": "Last name of the account"
        },
        "name": {
          "example": "Gareth Thompson",
          "description": "Name of the account"
        },
        "email": {
          "example": "gareth@codepotato.co.uk",
          "description": "Email of the account"
        }
      },
      "created_at": "2026-08-03T11:21:35+01:00",
      "updated_at": "2026-08-03T11:21:35+01:00"
    },
    "tags": {
      "uuid": "f30c1358-27ff-41fc-9738-d83132447d11",
      "created_at": "2026-08-03T11:21:35+01:00",
      "updated_at": "2026-08-03T11:21:35+01:00",
      "name": "Mortgage",
      "slug": "mortgage",
      "colour": "#ef4582"
    },
    "owners": {
      "uuid": "b6d5bd82-90b9-4a6b-8758-4f2cfdd2757e",
      "created_at": "2026-08-03T11:21:35+01:00",
      "updated_at": "2026-08-03T11:21:35+01:00",
      "type": "client",
      "role": "client",
      "first_name": "Gareth",
      "last_name": "Thompson",
      "name": "Gareth Thompson",
      "email": "gareth@codepotato.co.uk",
      "photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
      "first_contact_date": "2026-08-03T11:21:35+01:00",
      "next_review_date": "2026-08-03T11:21:35+01:00",
      "previous_review_date": "2026-08-03T11:21:35+01:00",
      "anniversary_review_date": "2026-08-03T11:21:35+01:00",
      "terms_of_business_at": "2026-08-03T11:21:35+01:00",
      "client_agreement_at": "2026-08-03T11:21:35+01:00",
      "with_login": true,
      "has_joint_account": true,
      "can_be_deleted": "false",
      "ownership_percentage": 100.0,
      "inactive_at": "2026-08-03",
      "last_interaction_at": "2026-08-03 11:21:35",
      "referral_code": "ABC12345",
      "is_out_of_office": true,
      "out_of_office_from": "2026-08-03T11:21:35+01:00",
      "out_of_office_until": "2026-08-03T11:21:35+01:00",
      "out_of_office_message": "I am away this week. For urgent matters please contact the office.",
      "permissions": {
        "firm:read": [
          "firm"
        ],
        "network:read": [
          "network:uuid"
        ]
      }
    },
    "first_contact_date": "2026-08-03T11:21:29+01:00",
    "next_review_date": "2026-08-03T11:21:29+01:00",
    "previous_review_date": "2026-08-03T11:21:29+01:00",
    "anniversary_review_date": "2026-08-03T11:21:29+01:00",
    "terms_of_business_at": "2026-08-03T11:21:29+01:00",
    "client_agreement_at": "2026-08-03T11:21:29+01:00",
    "with_login": true,
    "has_joint_account": true,
    "can_be_deleted": "false",
    "joint_account_circle": {
      "uuid": "05d82c19-b664-4b51-85d8-3ebef6759064",
      "created_at": "2026-08-03T11:21:35+01:00",
      "updated_at": "2026-08-03T11:21:35+01:00",
      "name": "Jones Family",
      "photo_url": "https://eu.ui-avatars.com/api/?name=jones+family",
      "bg_colour": "#35f4e1",
      "has_portal_access": true,
      "portal_access_status": "active",
      "engagement_rating": "green",
      "last_login": {
        "logged_in_at": "2026-08-03T11:21:35+01:00",
        "account_uuid": "uuid",
        "account_name": "John Smith",
        "device_type": "desktop",
        "device_platform": "macos"
      },
      "portal_login_count_30d": 5,
      "portal_login_count_90d": 12,
      "portal_login_count_365d": 48,
      "joint_account_uuid": "22bbac9e-ad04-4ea6-89d6-b1b35a21735f",
      "login_access_level": "write",
      "current_life_stage_uuid": "68d47e9e-990a-4159-b1be-c1e8ed343b43"
    },
    "circles": {
      "uuid": "05d82c19-b664-4b51-85d8-3ebef6759064",
      "created_at": "2026-08-03T11:21:35+01:00",
      "updated_at": "2026-08-03T11:21:35+01:00",
      "name": "Jones Family",
      "photo_url": "https://eu.ui-avatars.com/api/?name=jones+family",
      "bg_colour": "#35f4e1",
      "has_portal_access": true,
      "portal_access_status": "active",
      "engagement_rating": "green",
      "last_login": {
        "logged_in_at": "2026-08-03T11:21:35+01:00",
        "account_uuid": "uuid",
        "account_name": "John Smith",
        "device_type": "desktop",
        "device_platform": "macos"
      },
      "portal_login_count_30d": 5,
      "portal_login_count_90d": 12,
      "portal_login_count_365d": 48,
      "joint_account_uuid": "22bbac9e-ad04-4ea6-89d6-b1b35a21735f",
      "login_access_level": "write",
      "current_life_stage_uuid": "68d47e9e-990a-4159-b1be-c1e8ed343b43"
    },
    "ownership_percentage": 100,
    "inactive_at": "2026-08-03",
    "last_interaction_at": "2026-08-03 11:21:29",
    "referral_code": "ABC12345",
    "is_out_of_office": true,
    "out_of_office_from": "2026-08-03T11:21:29+01:00",
    "out_of_office_until": "2026-08-03T11:21:29+01:00",
    "out_of_office_message": "I am away this week. For urgent matters please contact the office.",
    "permissions": {
      "firm:read": [
        "firm"
      ],
      "network:read": [
        "network:uuid"
      ]
    },
    "custom_fields": {
      "uuid": null,
      "created_at": "2026-08-03T11:21:35+01:00",
      "updated_at": "2026-08-03T11:21:35+01:00",
      "type": "string",
      "name": "Favourite Drink",
      "reference": "favourite_drink",
      "is_required": false,
      "value": "Coffee",
      "selection_options": [
        "Coffee",
        "Tea",
        "Water"
      ],
      "help_text": "This is the client's favourite drink."
    },
    "external_references": {
      "uuid": "a921e779-2954-49a0-9543-2a171d86de57",
      "created_at": "2026-08-03T11:21:35+01:00",
      "updated_at": "2026-08-03T11:21:35+01:00",
      "third_party": "nucleus",
      "reference": "AB123456"
    }
  },
  "order": 0
}
Response examples (422)
{
  "message": "The given data was invalid.",
  "errors": {
    "field": [
      "The field is invalid."
    ]
  }
}